<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.StationStatMonthMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.StationStatMonth">
        <result column="id" property="id" />
        <result column="station_id" property="stationId" />
        <result column="stat_month" property="statMonth" />
        <result column="charge_users" property="chargeUsers" />
        <result column="valid_orders" property="validOrders" />
        <result column="total_power" property="totalPower" />
        <result column="total_money" property="totalMoney" />
        <result column="elec_money" property="elecMoney" />
        <result column="service_money" property="serviceMoney" />
        <result column="service_money_discount" property="serviceMoneyDiscount" />
        <result column="discount_amount" property="discountAmount" />
        <result column="avg_order_elec" property="avgOrderElec" />
        <result column="avg_order_money" property="avgOrderMoney" />
        <result column="avg_connector_elec" property="avgConnectorElec" />
        <result column="connector_usage_rate" property="connectorUsageRate" />
        <result column="actual_power" property="actualPower" />
        <result column="actual_elec_money" property="actualElecMoney" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,station_id, stat_month, charge_users, valid_orders, total_power, total_money, elec_money, service_money,service_money_discount,discount_amount, avg_order_elec, avg_order_money, avg_connector_elec,connector_usage_rate,actual_power,actual_elec_money,create_time,update_time,create_time, update_time
    </sql>

</mapper>
